Bug 235189 - net-im/prosody: Install prosody-migrator
Summary: net-im/prosody: Install prosody-migrator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL: https://prosody.im/doc/migrator
Keywords:
Depends on: 241619
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-25 07:14 UTC by Thomas Steen Rasmussen / Tykling
Modified: 2020-04-11 01:01 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Steen Rasmussen / Tykling 2019-01-25 07:14:29 UTC
It would be nice if the prosody port would install the prosody-migrator tool, to migrate accounts between two folders, or between folder and database (requires luadbi).

It is just a couple of lua scripts included in the normal distribution: https://prosody.im/doc/migrator
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-12 22:04:32 UTC
Maintainer feedback,please!
Comment 2 Thomas Morper 2020-02-07 01:36:25 UTC
The patchset in bug 241619 will add the missing migrator tool. It's easier to integrate once the build has been cleaned up and brought to Lua 5.2.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-11 01:01:51 UTC
^Triage: 

- MAINTAINER reset in ports r530944, reset assignee
- This issue was resolved in bug 241619 by Kurt (assign accordingly)